The extension integrates your Magento 2 store with the **[歐付寶 allPay](https://www.allpay.com.tw)** Taiwanese payment service.

## Demo videos

1. [Capture a **bank card** payment](https://www.youtube.com/watch?v=tmy-YbPGrio).
2. [Capture an **ATM** payment](https://www.youtube.com/watch?v=1S-j8UbXZtA).
3. [Capture a **Barcode** payment](https://www.youtube.com/watch?v=ujA-BOQV6GM).
4. [A payment by **installments**](https://www.youtube.com/watch?v=rAkXZlP8Xok).
5. [Payment **options** on the Magento checkout screen](https://www.youtube.com/watch?v=V0vYTeRALyo).
6. [**Mobile** mode](https://www.youtube.com/watch?v=vZGABg-31xo).
7. [**Fast** mode: skip the billing address form filling](https://www.youtube.com/watch?v=a-gTR5JNlwk).

## How to buy
You can buy it with PayPal [here](https://mage2.pro/t/1791).

## How to install
### 1. Free installation service
Just order my [free installation service](https://mage2.pro/t/3585).

### 2. Self-installation
```
composer require mage2pro/allpay:*
bin/magento setup:upgrade
rm -rf pub/static/* && bin/magento setup:static-content:deploy
rm -rf var/di var/generation && bin/magento setup:di:compile
```
If you have some problems while executing these commands, then check the [detailed instruction](https://mage2.pro/t/263).

## Licensing
It is a paid extension, not free.  
You can use it for free for the testing puproses only.  
Please read the [testing policy](https://mage2.pro/t/2590) before installation.

## Support
- [The extension's **forum** branch](https://mage2.pro/c/extensions/allpay).
- [Where and how to report a Mage2.PRO extension's issue?](https://mage2.pro/t/2034)
- I also provide a **[generic Magento 2 support](https://mage2.pro/t/topic/755)** and [Magento 2 installation service](https://mage2.pro/t/748).

## Want to be notified about the extension's updates?
- [Subscribe](https://mage2.pro/t/2540) to the extension's [forum branch](https://mage2.pro/c/extensions/allpay).
- Subscribe to my [Twitter](https://twitter.com/mage2_pro) and [YouTube](https://www.youtube.com/channel/UCvlDAZuj01_b92pzRi69LeQ) channels.

## Need a new feature?
I provide the [**customization service**](https://mage2.pro/t/2020) for my payment extensions.

## Need another payment extension for Magento 2?

- «[**2Checkout**](https://mage2.pro/c/extensions/2checkout)» payment extension
- «[**歐付寶 allPay**](https://mage2.pro/c/extensions/allpay)» payment extension (Taiwan)
- «[**Checkout.com**](https://mage2.pro/c/extensions/checkout-com)» payment extension
- «[**Ginger Payments**](https://mage2.pro/c/extensions/ginger-payments)» extension (the Netherlands, Belgium).
- «[**iyzico**](https://mage2.pro/c/extensions/iyzico)» payment extension (Turkey)
- «[**Kassa Compleet**](https://mage2.pro/c/extensions/kassa-compleet)» payment extension by ING Bank (the Netherlands).
- «[**Klarna**](https://mage2.pro/c/extensions/klarna)» payment extension (Austria, Denmark, Finland, Germany, Norway, Sweden)
- «[**Omise**](https://mage2.pro/c/extensions/omise)» payment extension (Thailand, Japan)
- «[**Paymill**](https://mage2.pro/c/extensions/paymill)» payment extension (the European Union)
- «[**SecurePay**](https://mage2.pro/c/extensions/securepay)» payment extension (Australia)
- «[**Spryng**](https://mage2.pro/c/extensions/spryng)» payment extension (the European Union)
- «[**Square**](https://mage2.pro/c/extensions/square)» payment extension (USA, Canada)
- «[**Stripe**](https://mage2.pro/c/extensions/stripe)» payment extension

## See also my other Magento 2 extensions:

- «[**Price Format**](https://mage2.pro/c/extensions/price-format)» (set a custom display format for the prices and other currency values: discounts, taxes, sales amounts).
- «[**Sales Documents Numeration**](https://mage2.pro/c/extensions/sales-documents-numeration)» (use a custom numeration for the sales documents: orders, invoices, shipments, and credit memos).
- «[**Login with Amazon**](https://mage2.pro/c/extensions/amazon-login)» (a single sign-on extension). 
- «[**Backend Login with Google Account**](https://mage2.pro/c/extensions/google-backend-login)» (a single sign-on extension for the Magento 2 backend). 
- «[**Facebook Login**](https://mage2.pro/c/extensions/facebook-login)» (a single sign-on extension).
- «[**Blackbaud NetCommunity**](https://mage2.pro/c/extensions/blackbaud-netcommunity)» (an  integration with an online fundraising software).  
- «[**Markdown Editor**](https://mage2.pro/c/extensions/markdown)» (an alternative content editor for the Magento 2 backend).
- «[**Twitter Timeline**](https://mage2.pro/c/extensions/twitter-timeline)» (shows your latest tweets in your store's frontend sidebar).
- «[**Facebook Like & Share**](https://mage2.pro/c/extensions/facebook-like)» (shows the Facebook's «Like» and «Share» buttons on the frontend product pages).

## Need a custom payment extension?
I provide a [custom payment gateway integration service](https://mage2.pro/t/917).

## Want to get the full rights on my extension?
It is possible: the price depends on a extension and starts from $5.000.  
You will get 2 years of support, updates, and free installation service for all your clients.

## Screenshots
### Frontend checkout screen
![](https://mage2.pro/uploads/default/original/2X/d/d5a9df1dccbd3b39848379b0aa7e5465c4a21adf.png)

### Frontend checkout screen in the fast mode
![](https://mage2.pro/uploads/default/original/2X/8/8c51244f8c9d30eb1afdea2cb8efcb45a91e0d39.png)

### Backend orders list
![](https://mage2.pro/uploads/default/original/2X/d/da7d7adc8ff2ba83924a51fe6d9d5c73db949833.png)

### Backend settings
![](https://mage2.pro/uploads/default/original/2X/f/f97a738fb619db48e37a066f01a7ab125db564a6.png)
